import { amethystParticleFunction } from 'item/amethyst';
import { dragoniteParticleFunction } from 'item/dragonite';
import { echoParticleFunction } from 'item/echo';
import { emeraldParticleFunction } from 'item/emerald';
import { enderiteParticleFunction } from 'item/enderite';
import { freeze, iceParticleFunction } from 'item/ice';
import { inferniumParticleFunction, setOnFire } from 'item/infernium';
import { irisParticleFunction } from 'item/iris';
import { jadeParticleFunction } from 'item/jade';
import { plutoniteParticleFunction } from 'item/plutonite';
import { roseParticleFunction } from 'item/rose';
import { rubyParticleFunction } from 'item/ruby';
import { sapphireParticleFunction } from 'item/sapphire';
import { shadowiteParticleFunction } from 'item/shadowite';
import { spectraParticleFunction } from 'item/spectra';
import { titaniteParticleFunction } from 'item/titanite';
class onHitEntity {
    constructor() {
        this.onHitEntity = this.onHitEntity.bind(this);
    }
    onHitEntity(_componentData) { }
}
export class inferniumSetOnFire extends onHitEntity {
    onHitEntity(componentData) {
        setOnFire(componentData);
    }
}
export class iceFreeze extends onHitEntity {
    onHitEntity(componentData) {
        freeze(componentData);
    }
}
export class amethystParticle extends onHitEntity {
    onHitEntity(componentData) {
        amethystParticleFunction(componentData);
    }
}
export class dragoniteParticle extends onHitEntity {
    onHitEntity(componentData) {
        dragoniteParticleFunction(componentData);
    }
}
export class echoParticle extends onHitEntity {
    onHitEntity(componentData) {
        echoParticleFunction(componentData);
    }
}
export class emeraldParticle extends onHitEntity {
    onHitEntity(componentData) {
        emeraldParticleFunction(componentData);
    }
}
export class enderiteParticle extends onHitEntity {
    onHitEntity(componentData) {
        enderiteParticleFunction(componentData);
    }
}
export class iceParticle extends onHitEntity {
    onHitEntity(componentData) {
        iceParticleFunction(componentData);
    }
}
export class inferniumParticle extends onHitEntity {
    onHitEntity(componentData) {
        inferniumParticleFunction(componentData);
    }
}
export class irisParticle extends onHitEntity {
    onHitEntity(componentData) {
        irisParticleFunction(componentData);
    }
}
export class jadeParticle extends onHitEntity {
    onHitEntity(componentData) {
        jadeParticleFunction(componentData);
    }
}
export class plutoniteParticle extends onHitEntity {
    onHitEntity(componentData) {
        plutoniteParticleFunction(componentData);
    }
}
export class roseParticle extends onHitEntity {
    onHitEntity(componentData) {
        roseParticleFunction(componentData);
    }
}
export class rubyParticle extends onHitEntity {
    onHitEntity(componentData) {
        rubyParticleFunction(componentData);
    }
}
export class sapphireParticle extends onHitEntity {
    onHitEntity(componentData) {
        sapphireParticleFunction(componentData);
    }
}
export class shadowiteParticle extends onHitEntity {
    onHitEntity(componentData) {
        shadowiteParticleFunction(componentData);
    }
}
export class spectraParticle extends onHitEntity {
    onHitEntity(componentData) {
        spectraParticleFunction(componentData);
    }
}
export class titaniteParticle extends onHitEntity {
    onHitEntity(componentData) {
        titaniteParticleFunction(componentData);
    }
}
